
import base64
from configs.logging import logger

def decode_user(username, password):
    if not username or not password:
        return '' , ''
    try:
        u = base64.b64decode(username).decode('utf-8')
        p = base64.b64decode(password).decode('utf-8')
        return u, p
    except Exception as e:
        logger.error(e)
        return username, password


def encode_base64(str):
    return  base64.encodebytes(str.encode('utf-8')).decode('utf-8')


def byte_conversion(size):
    if size < 1024:
        return str("%.1f"%size) + 'B'
    elif size < 1024 * 1024:
        return str("%.1f"%(size/1024)) + 'KB'
    elif size < 1024 * 1024 * 1024:
        return str("%.1f"%(size/1024/1024)) + 'MB'
    else:
        return str("%.1f"%(size/1024/1024/1024)) + 'GB'
